﻿function sendSMS(to, msg, hLog, ownerData, config)
{
	local sign = pcs(config, "sign");
	local user = pcs(config, "user");
	local pass = pcs(config, "pass");
	
	if(!pass.len() || !user.len())
	{
		log("Błąd");
		log("Brak loginu/hasła");
		return 2;
	}

	log(hLog, "Adresat: " + to);
	log(hLog, "Łączenie z bramką...");

	local hNet = httpCreate();
	local retVal = 2;

	if(hNet != null && httpOpen(hNet))
	{
		if(httpGetFile(hNet, "https://www.orange.pl/start.phtml?_DARGS=/ocp/gear/infoportal/header/user-box.jsp", "GET", null, false))
		{
		
			local str = "";
			str += "_dyncharset=UTF-8&";
			str += urlEncode("/tp/core/profile/login/ProfileLoginFormHandler.login") + "=" + urlEncode("loguj") + "&";
			str += urlEncode("/tp/core/profile/login/ProfileLoginFormHandler.loginErrorURL") + "=" + urlEncode("/zaloguj.phtml") + "&";
			str += urlEncode("/tp/core/profile/login/ProfileLoginFormHandler.loginSuccessURL") + "=" + urlEncode("") + "&";
			str += urlEncode("/tp/core/profile/login/ProfileLoginFormHandler.value.login") + "=" + urlEncode(user) + "&";
			str += urlEncode("/tp/core/profile/login/ProfileLoginFormHandler.value.password") + "=" + urlEncode(pass) + "&";
			str += urlEncode("_D:/tp/core/profile/login/ProfileLoginFormHandler.login") + "=" + urlEncode(" ") + "&";
			str += urlEncode("_D:/tp/core/profile/login/ProfileLoginFormHandler.loginErrorURL") + "=" + urlEncode(" ") + "&";
			str += urlEncode("_D:/tp/core/profile/login/ProfileLoginFormHandler.loginSuccessURL") + "=" + urlEncode(" ") + "&";
			str += urlEncode("_D:/tp/core/profile/login/ProfileLoginFormHandler.rememberMe") + "=" + urlEncode(" ") + "&";
			str += urlEncode("_D:/tp/core/profile/login/ProfileLoginFormHandler.value.login") + "=" + urlEncode(" ") + "&";
			str += urlEncode("_D:/tp/core/profile/login/ProfileLoginFormHandler.value.password") + "=" + urlEncode(" ") + "&";
			str += urlEncode("_DARGS") +"="+ urlEncode("/ocp/gear/infoportal/header/user-box.jsp") + "&";
			str += urlEncode("x=7") + "&";
			str += urlEncode("y=8") + "&";

			if(httpGetFile(hNet, "https://www.orange.pl/start.phtml?_DARGS=/ocp/gear/infoportal/header/user-box.jsp", "POST", str, false))
			{
				local loc = httpGetFileLocation(hNet);
				
				if(loc != null && loc.len() > 0 && httpGetFile(hNet, loc, "GET", null, false))
				{
					str = httpGetFileData(hNet);
					print(str);
					
					if(str != null && str.find("loginForm") == null)
					{
						if(httpGetFile(hNet, "https://www.orange.pl/portal/map/map/message_box?mbox_edit=new&mbox_view=newsms", "GET", null, false))
						{
							str = httpGetFileData(hNet);

							local tokenValue = getFormFieldValue(str, "/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.token");

							if(tokenValue != null && tokenValue.len() > 0)
							{
								str = "";
								str += "_dyncharset=UTF-8&";
								str += urlEncode("/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.type") + "=" + urlEncode("sms") + "&";
								str += urlEncode("_D:/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.type") + "=" + urlEncode(" ") + "&";
								str += urlEncode("enabled") + "=" + urlEncode("true") + "&";
								str += urlEncode("/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.errorURL") + "=" + urlEncode("/portal/map/map/message_box?mbox_view=newsms") + "&";
								str += urlEncode("_D:/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.errorURL") + "=" + urlEncode(user) + "&";
								str += urlEncode("/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.successURL") + "=" + urlEncode("/portal/map/map/message_box?mbox_view=messageslist") + "&";
								str += urlEncode("_D:/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.successURL") + "=" + urlEncode(" ") + "&";
								str += urlEncode("/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.to") + "=" + urlEncode(to) + "&";
								str += urlEncode("_D:/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.to") + "=" + urlEncode(" ") + "&";
								str += urlEncode("_D:/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.body") + "=" + urlEncode(" ") + "&";
								str += urlEncode("/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.body") + "=" + urlEncode(msg) + "&";
								str += urlEncode("/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.token") + "=" + urlEncode(tokenValue) + "&";
								str += urlEncode("_D:/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.token") + "=" + urlEncode(" ") + "&";
								str += urlEncode("_D:/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.create") + "=" + urlEncode(" ") + "&";
								str += urlEncode("_DARGS") + "=" + urlEncode("/gear/mapmessagebox/smsform.jsp") + "&";
								str += urlEncode("/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.create.x") + "=" + "7" + "&";
								str += urlEncode("/amg/ptk/map/messagebox/formhandlers/MessageFormHandler.create.y") + "=" + "8" + "&";

								if(httpGetFile(hNet, "https://www.orange.pl/portal/map/map/message_box?_DARGS=/gear/mapmessagebox/smsform.jsp", "POST", str, true))
								{
									str = httpGetFileData(hNet);

									if(str != null && str.find("\"sendSMS\"") == null)
									{
										log(hLog, "Wiadomość wysłana");
										retVal = 1;
									}
								}
							}
						}
					}
				}
			}
		}

		httpClose(hNet);
		httpDestroy(hNet);
	}

	if(retVal != 1)
	{
		log(hLog, "Błąd");
	}

	return retVal;
}